Subject: bug#22392: Emacs OS X GUI doesn't set locale

From: Alan Third <[email-masked]>
Date: Tue, 26 Jan 2016 23:05:29 +0000

Eli Zaretskii <[email-masked]> writes:

>> Yes, that is why I asked if he had considered that approach. The reason I asked
>> was if there was any advantage in setting the LANG variable of the Emacs
>> process itself, or if this only was of interest of subprocesses.
>
> Passing our LANG to subprocesses would be a bad idea, I think.  Emacs
> is not supposed to change the environment of the child processes just
> because it needs that for itself.

To my mind it might be a plus for Emacs to pass it's LANG along in this
particular situation as UNIX style sub-processes aren't going to pick up
the correct locale themselves and so will, presumably, default to "C",
no matter what the locale should be.

eg. running the locale command from within Emacs:

LANG=
LC_COLLATE="C"
LC_CTYPE="C"
LC_MESSAGES="C"
LC_MONETARY="C"
LC_NUMERIC="C"
LC_TIME="C"
LC_ALL=

vs running it from terminal.app:

LANG="en_GB.UTF-8"
LC_COLLATE="en_GB.UTF-8"
LC_CTYPE="en_GB.UTF-8"
LC_MESSAGES="en_GB.UTF-8"
LC_MONETARY="en_GB.UTF-8"
LC_NUMERIC="en_GB.UTF-8"
LC_TIME="en_GB.UTF-8"
LC_ALL=

-- 
Alan Third